<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="Default" />

<f:section name="main">

    <section class="full-width-teaser">

        <div class="background lazy" data-bg="{f:uri.image(maxWidth: 1920, maxHeight: 1080, image: field.image.0)}">

            <f:comment>
                Einbindung des Gelben Balls falls gewünscht
            </f:comment>

            <f:if condition="{field.active}">

                <div class="d-none d-md-flex caption yellow-ball">
                    <div class="mb-3">
                        <f:format.raw>{field.yellowBody}</f:format.raw>
                    </div>
                    <f:link.typolink class="more-link" parameter="{field.yellowLink}">{field.yellowLinktext}</f:link.typolink>

                </div>

            </f:if>

            <f:comment>
                Einbindung der Überschrift falls gewünscht
            </f:comment>




            <f:if condition="{field.generalActive}">
                <div class="caption layout-{field.layout}">
                    <f:if condition="{field.title}">
                        <h3 class="teaser-title{f:if(condition: '{field.gray}', then: ' text-dark-gray', else: ' text-white')}">
                            <f:format.raw>{field.title}</f:format.raw>
                        </h3>
                    </f:if>

                    <f:if condition="{field.bodytext}">
                        <span class="{f:if(condition: '{field.gray}', then: ' text-dark-gray', else: ' text-white')}">
                            <f:format.raw>{field.bodytext}</f:format.raw>
                        </span>
                    </f:if>

                    <f:if condition="{field.link}">
                        <f:link.typolink class="{f:if(condition: '{field.gray}', then: ' btn btn-dark-gray', else: ' more-link')}" parameter="{field.link}">{field.linkText}</f:link.typolink>
                    </f:if>
                </div>
            </f:if>


        </div>
    </section>

</f:section>

</html>
